/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.vista;

import com.util.TextPrompt;

/**
 *
 * @author Usuario
 */
public class frmInicioSesion extends javax.swing.JDialog {

    /**
     * Creates new form frmInicioSesion
     */
    public frmInicioSesion(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        this.setLocationRelativeTo(null);
        TextPrompt tex1 = new TextPrompt("Escriba su cedula", txtcedula);
        TextPrompt tex7 = new TextPrompt("Escriba su contraseña", txtconstrasea);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        btnImagen3 = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        btnImagen1 = new javax.swing.JButton();
        btnImagen2 = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        txtconstrasea = new javax.swing.JTextField();
        txtcedula = new javax.swing.JTextField();
        btnsalir = new javax.swing.JButton();
        btnRegistro = new javax.swing.JButton();
        btnEntrar1 = new javax.swing.JButton();
        btnyutu = new javax.swing.JButton();
        btnface = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setUndecorated(true);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));
        jPanel2.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        btnImagen3.setBackground(new java.awt.Color(140, 25, 3));
        btnImagen3.setForeground(new java.awt.Color(140, 25, 3));
        btnImagen3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/tuerca_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        jPanel2.add(btnImagen3, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 350, 30, 30));

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/candado negro_Mesa de trabajo 1 copia 2 (1).png"))); // NOI18N
        jPanel2.add(jLabel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(570, 390, 40, 40));

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/dibujo negro_Mesa de trabajo 1 copia 2 (1).png"))); // NOI18N
        jPanel2.add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(570, 310, 30, 40));

        btnImagen1.setBackground(new java.awt.Color(140, 25, 3));
        btnImagen1.setForeground(new java.awt.Color(140, 25, 3));
        btnImagen1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/tuerca_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        jPanel2.add(btnImagen1, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 250, 30, 30));

        btnImagen2.setBackground(new java.awt.Color(140, 25, 3));
        btnImagen2.setForeground(new java.awt.Color(140, 25, 3));
        btnImagen2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/tuerca_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        jPanel2.add(btnImagen2, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 300, 30, 30));

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/personaInicio.png"))); // NOI18N
        jPanel2.add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(100, 180, 430, 430));

        jLabel5.setFont(new java.awt.Font("Bahnschrift", 1, 28)); // NOI18N
        jLabel5.setForeground(new java.awt.Color(255, 255, 255));
        jLabel5.setText("INGRESO AL SISTEMA");
        jPanel2.add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 90, -1, -1));

        jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/candado_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        jPanel2.add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 20, 110, 70));

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/fondo_Mesa.png"))); // NOI18N
        jPanel2.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 588, -1));

        jPanel3.setBackground(new java.awt.Color(255, 255, 255));
        jPanel3.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/LogoEmpresa (1).png"))); // NOI18N
        jPanel3.add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 20, -1, 270));

        txtconstrasea.setBackground(new java.awt.Color(255, 204, 204));
        txtconstrasea.setFont(new java.awt.Font("Bahnschrift", 1, 24)); // NOI18N
        txtconstrasea.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jPanel3.add(txtconstrasea, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 390, 370, 40));

        txtcedula.setBackground(new java.awt.Color(255, 204, 204));
        txtcedula.setFont(new java.awt.Font("Bahnschrift", 1, 24)); // NOI18N
        txtcedula.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jPanel3.add(txtcedula, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 310, 370, 40));

        btnsalir.setBackground(new java.awt.Color(255, 255, 255));
        btnsalir.setForeground(new java.awt.Color(255, 255, 255));
        btnsalir.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/baton salir_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        btnsalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnsalirActionPerformed(evt);
            }
        });
        jPanel3.add(btnsalir, new org.netbeans.lib.awtextra.AbsoluteConstraints(300, 10, 90, 40));

        btnRegistro.setBackground(new java.awt.Color(255, 255, 255));
        btnRegistro.setForeground(new java.awt.Color(255, 255, 255));
        btnRegistro.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/boton salir_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        btnRegistro.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        jPanel3.add(btnRegistro, new org.netbeans.lib.awtextra.AbsoluteConstraints(80, 520, 210, 40));

        btnEntrar1.setBackground(new java.awt.Color(255, 255, 255));
        btnEntrar1.setForeground(new java.awt.Color(255, 255, 255));
        btnEntrar1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/boton entrar_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        btnEntrar1.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        jPanel3.add(btnEntrar1, new org.netbeans.lib.awtextra.AbsoluteConstraints(80, 470, 210, 40));

        btnyutu.setBackground(new java.awt.Color(255, 255, 255));
        btnyutu.setForeground(new java.awt.Color(255, 255, 255));
        btnyutu.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/boton youtube_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        jPanel3.add(btnyutu, new org.netbeans.lib.awtextra.AbsoluteConstraints(180, 570, 50, 40));

        btnface.setBackground(new java.awt.Color(255, 255, 255));
        btnface.setForeground(new java.awt.Color(255, 255, 255));
        btnface.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/boton facebook_Mesa de trabajo 1 copia 2.png"))); // NOI18N
        jPanel3.add(btnface, new org.netbeans.lib.awtextra.AbsoluteConstraints(120, 570, 50, 40));

        jPanel2.add(jPanel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(600, 0, 400, 620));

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        getContentPane().add(jPanel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnsalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnsalirActionPerformed
        // TODO add your handling code here:}
        System.exit(0);
    }//GEN-LAST:event_btnsalirActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(frmInicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(frmInicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(frmInicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(frmInicioSesion.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the dialog */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                frmInicioSesion dialog = new frmInicioSesion(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    @Override
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnEntrar1;
    private javax.swing.JButton btnImagen1;
    private javax.swing.JButton btnImagen2;
    private javax.swing.JButton btnImagen3;
    private javax.swing.JButton btnRegistro;
    private javax.swing.JButton btnface;
    private javax.swing.JButton btnsalir;
    private javax.swing.JButton btnyutu;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JTextField txtcedula;
    private javax.swing.JTextField txtconstrasea;
    // End of variables declaration//GEN-END:variables
}
